Package ru.bitel.bgbilling.plugins.crm.common.service

# Interface CRMService

public interface CRMService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterCallDTO`
  `registerCallGet(int registerCallId)`
  `SearchResult<RegisterCallItem>`
  `registerCallItems(int contractId, int subjectId, Period period, Page page)`
  `int`
  `registerCallUpdate(RegisterCall registerCall, int problemId, String problemComment, boolean sendMail)`
  `List<IdTitle>`
  `registerCategoryItems()`
  `void`
  `registerExecutorDelete(int id)`
  `List<IdTitle>`
  `registerExecutorItems(List<Integer> groupIds)`
  `List<RegisterExecutor>`
  `registerExecutorList(List<Integer> groupIds)`
  `void`
  `registerExecutorUpdate(ExecuterItem executerItem, List<Integer> groupIds)`
  `List<IdTitle>`
  `registerGroupItems(int id)`
  `List<RegisterGroup>`
  `registerGroupList(int id)`
  `void`
  `registerGroupUpdate(List<Integer> typeIds, RegisterGroup registerGroup)`
  `String`
  `registerProblemCalls(int id)`
  `List<RegisterProblem>`
  `registerProblemCurrentList(int contractId)`
  `void`
  `registerProblemHistoryClear(int id)`
  `List<RegisterProblem>`
  `registerProblemHistoryList(int id)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `registerProblemTasks(int id)`
  `List<IdTitle>`
  `registerProblemUsedGroups(int id)`
  `List<IdTitle>`
  `registerStatusItems(RegisterObjectType objectType)`
  `boolean`
  `registerSubjectDelete(int id)`
  `RegisterSubject`
  `registerSubjectGet(int id)`
  `int`
  `registerSubjectGroupGet(int registerSubjectId)`
  `List<IdTitle>`
  `registerSubjectList()`
  `int`
  `registerSubjectUpdate(RegisterSubject registerSubject)`
  `String`
  `registerTaskGet(int id)`
  `void`
  `registerTaskSyncAccept(List<Integer> taskIds, List<Integer> executors, int group, Date targetDate)`
  `void`
  `registerTaskSyncClose(List<Integer> taskIds, Date date)`
  `void`
  `registerTaskSyncOpen(List<Integer> taskIds)`
  `void`
  `registerTaskSyncProcess(List<Integer> taskIds, String mail, String subject)`
  `List<IdTitle>`
  `registerTaskTypeTitles(Set<Integer> groupIds)`

- ## Method Details

  - ### registerSubjectList

    List<IdTitle> registerSubjectList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectGet

    RegisterSubject registerSubjectGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectDelete

    boolean registerSubjectDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectUpdate

    int registerSubjectUpdate(RegisterSubject registerSubject) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectGroupGet

    int registerSubjectGroupGet(int registerSubjectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallItems

    SearchResult<RegisterCallItem> registerCallItems(int contractId, int subjectId, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallGet

    RegisterCallDTO registerCallGet(int registerCallId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallUpdate

    int registerCallUpdate(RegisterCall registerCall, int problemId, String problemComment, boolean sendMail) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorList

    List<RegisterExecutor> registerExecutorList(List<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorItems

    List<IdTitle> registerExecutorItems(List<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorUpdate

    void registerExecutorUpdate(ExecuterItem executerItem, List<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorDelete

    void registerExecutorDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerGroupList

    List<RegisterGroup> registerGroupList(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerGroupUpdate

    void registerGroupUpdate(List<Integer> typeIds, RegisterGroup registerGroup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerGroupItems

    List<IdTitle> registerGroupItems(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCategoryItems

    List<IdTitle> registerCategoryItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerStatusItems

    List<IdTitle> registerStatusItems(RegisterObjectType objectType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemUsedGroups

    List<IdTitle> registerProblemUsedGroups(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemCalls

    String registerProblemCalls(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemTasks

    List<ru.bitel.bgbilling.common.model.KeyValue> registerProblemTasks(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemHistoryList

    List<RegisterProblem> registerProblemHistoryList(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemCurrentList

    List<RegisterProblem> registerProblemCurrentList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemHistoryClear

    void registerProblemHistoryClear(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskTypeTitles

    List<IdTitle> registerTaskTypeTitles(Set<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskGet

    String registerTaskGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskSyncOpen

    void registerTaskSyncOpen(List<Integer> taskIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskSyncProcess

    void registerTaskSyncProcess(List<Integer> taskIds, String mail, String subject) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskSyncAccept

    void registerTaskSyncAccept(List<Integer> taskIds, List<Integer> executors, int group, Date targetDate) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerTaskSyncClose

    void registerTaskSyncClose(List<Integer> taskIds, Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`